import QtQuick 1.1
import com.nokia.meego 1.0

Page {

    property int hr: 239 // puksti minute, random skaitlis
    property int countTimes: 5 // no cik laikiem tiek aprekinats
    property int c: 0 //cik reizu nospiests
    property double beats: 0 //sitieni minute
    property variant timeArray: [1,2,3,4,5,6,7,8,9,10,11] //masiivs prieks laikiem
    property variant heart: [350,400,370,420] //sirds izmeri - mazais un lielais
    lockInPortrait: true

    orientationLock: PageOrientation.LockPortrait

    //tools: commonTools

    Text {
        id: label
        anchors{
            horizontalCenter: parent.horizontalCenter
            top: parent.top
            margins: 40
        }
        color: "#FFFFFF"
        font.bold: true
        font.pointSize: 50
        //text: qsTr("80") //sho nevajag
        visible: true
    }



    Image{
        id: button1

        anchors.centerIn: parent
        //smooth: true

        // ekrana izmeri: 480 * 854
        width: heart[0]; height: heart[1]
        source: "assets/heart.png"

        MouseArea{
            //lai mousearea butu pa visu attelu
            anchors.fill: parent

            /*maina sirds izmerus*/
            onPressed: {
                button1.width = heart[2]
                button1.height = heart[3]
            }
            onReleased: {
                button1.width = heart[0]
                button1.height = heart[1]
            }
            /****************************/

            /* aprekina pukstus minute */
            onClicked: {
                    var date = new Date
                    //label.visible = true

                    if (c>=countTimes){
                        c=0
                        beats=0
                        for (var i=1;i<countTimes;i++){beats = beats + timeArray[i+1] - timeArray[i]}
                        beats = beats / (countTimes-1)
                        label.text = Math.floor(60000/beats)

                    }else{
                        c++
                        var temp = timeArray
                        temp[c] = date.getSeconds()*1000+date.getMilliseconds()
                        timeArray = temp
                        //console.log(c+"="+timeArray[c])
                    }
            }
            /****************************/
        }

    }

    ToolBar{
        id: toolbar
        anchors.bottom: parent.bottom
        tools: ToolBarLayout{
            ToolIcon{
                anchors.left: parent.left
                iconId: "toolbar-view-menu"
                onClicked: {
                    confirmationDialog.open()
                    confirmationDialog.visible = true
                }
            }
        }
    }

    Dialog {

        id: confirmationDialog
        visible: false
        Text{
            id: titleText
            text: "How this works"
            anchors.bottom: message.top
            anchors.margins: 20
            width: parent.width
            color: "white"
            font.pointSize: 25
            font.bold: true
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.Wrap
        }

        Text{
            id:message
            text:  "Press heart repeatedly to get beats per minute"
            anchors.centerIn: parent
            width: parent.width
            color: "white"
            font.pointSize: 20
            horizontalAlignment: Text.AlignHCenter
            wrapMode: Text.Wrap
        }

        Button{
            id: acceptButton
            text: "OK"
            anchors.top: message.bottom
            anchors.topMargin: 20
            anchors.horizontalCenter: parent.horizontalCenter
            width: parent.width * 0.5
            onClicked: {
                confirmationDialog.close()
            }
        }

    }


}
